Webhooks
Subscribes to change events for the break definitions collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Body properties
This list of properties can be sent in the request body.
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (break-definitions). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the break definition. |
name.default |
string | — | Read-only | Default name value of the break definition. |
name.translations |
object | — | Read-only | A list of translated names of the definition by language code. |
friendlyName.default |
string | — | Read-only | Default friendly name value for this definition shown to users. |
friendlyName.translations |
object | — | Read-only | A list of translated friendly names by language code. |
paidDurationInMinutes |
integer | — | Read-only | The paid duration of the break in minutes. |
minimumDurationInMinutes |
integer | — | Read-only | The minimum duration required for the break in minutes. |
maximumDurationInMinutes |
integer | — | Read-only | The maximum duration allowed for the break in minutes. |
ifNotClockedDurationInMinutes |
integer | — | Read-only | The time that is calculated if no break is taken. In most cases this will be the same as the minimumDurationInMinutes. |
hasToBeTakenUninterrupted |
boolean | — | Read-only | Indicates if the break must be taken without interruption. |
External references
This endpoint does not support external references for the break-definitions collection.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
Creating a webhook for break definitions
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/break-definitions",
"collectionName": "break-definitions"
}